package inject;

import com.google.inject.Guice;
import com.google.inject.Injector;
import com.google.inject.Provider;

public class HeroProvider implements Provider<Hero> {

	@Override
	public Hero get() {
		Injector injector = Guice.createInjector(new MyModule());
		Provider<Vehicle> provider = injector.getInstance(VehicleProvider.class);
		Hero hero = null;
		double d = Math.random();
		if (d < 0.3) {
			hero = new FrogMan(provider);
		} else {
			hero = injector.getInstance(SuperHero.class);
		}
		return hero;
	}
}
